import MDM
import GPIO
import MOD

#SETTO LA DIREZIONE DEI PORT
r=GPIO.setIOdir(2,0,1) #setto il port 2 come output e ha come valore di default 0
r=GPIO.setIOdir(6,0,1) #setto il port 6 come output e ha come valore di default 0
r=GPIO.setIOdir(7,0,1) #setto il port 7 come output e ha come valore di default 0

res = MDM.send('AT\r', 0) #Invio comando AT
res = MDM.receive(3) #Attendo 3 sec
if(res.find('OK') != -1): #Ricevuto "OK"
  print "Modem Presente\r\n"
  i=0
  while (1): #Ciclo infinito
    res = MDM.send('AT+CBC?\r', 0) #Invio comando AT
    res = MDM.receive(3) #Attendo 3 sec
    if(res.find('OK') != -1):
      #Parser della risposta
      tmp = res.split("\r\n")
      tmp = tmp[1]
      tmp = tmp.split(" ")
      tmp = tmp[1];
      tmp = tmp.split(",")
      
      if(tmp[0]=="1"):
        print "Alimentazione dalla rete elettrica\r\n"
      elif(tmp[0]=="0"):
        print "ATTENZIONE assenza rete elettrica\r\n"
        print "- STATO BATTERIA  %d %%\r\n" % int(tmp[1])
        i = not(i)
        s=GPIO.setIOvalue(2,i) #Led  TEST Off
        if(tmp[1]=="25"):
          #Spengo il modem
          res = MDM.send('AT#SHDN\r', 0) #Invio comando AT
          res = MDM.receive(3) #Attendo 3 sec
          if(res.find('OK') != -1):
            print "Shutdown del modem\r\n"
           
      MOD.sleep(10)
    else:
      print "Risposta al comando CBC errata\r\n"

